#
# This file is part of App-SpreadRevolutionaryDate
#
# This software is Copyright (c) 2019 by Gérald Sédrati-Dinet.
#
# This is free software, licensed under:
#
#   The GNU General Public License, Version 3, June 2007
#
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.010.
use strict;
use warnings;

use 5.008;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Spread date and time from Revolutionary (Republican) Calendar on Twitter, Mastodon and Freenode.",
  "AUTHOR" => "G\x{e9}rald S\x{e9}drati-Dinet <gibus\@cpan.org>",
  "BUILD_REQUIRES" => {
    "Module::Build" => "0.28"
  },
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "Module::Build" => "0.28"
  },
  "DISTNAME" => "App-SpreadRevolutionaryDate",
  "EXE_FILES" => [
    "bin/spread-revolutionary-date"
  ],
  "LICENSE" => "gpl",
  "MIN_PERL_VERSION" => "5.008",
  "NAME" => "App::SpreadRevolutionaryDate",
  "PREREQ_PM" => {
    "AppConfig" => 0,
    "Bot::BasicBot" => 0,
    "DateTime::Calendar::FrenchRevolutionary" => 0,
    "File::HomeDir" => 0,
    "Mastodon::Client" => 0,
    "Net::Async::HTTP" => "0.43",
    "Net::OAuth" => "0.25",
    "Net::Twitter::Lite::WithAPIv1_1" => 0,
    "namespace::clean" => 0,
    "open" => 0,
    "parent" => 0,
    "strict" => 0,
    "utf8" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Find" => 0,
    "File::Temp" => 0,
    "Test::More" => 0,
    "Test::NoWarnings" => 0,
    "Test::Output" => 0
  },
  "VERSION" => "0.06",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "AppConfig" => 0,
  "Bot::BasicBot" => 0,
  "DateTime::Calendar::FrenchRevolutionary" => 0,
  "File::Find" => 0,
  "File::HomeDir" => 0,
  "File::Temp" => 0,
  "Mastodon::Client" => 0,
  "Module::Build" => "0.28",
  "Net::Async::HTTP" => "0.43",
  "Net::OAuth" => "0.25",
  "Net::Twitter::Lite::WithAPIv1_1" => 0,
  "Test::More" => 0,
  "Test::NoWarnings" => 0,
  "Test::Output" => 0,
  "namespace::clean" => 0,
  "open" => 0,
  "parent" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
